# pion::HashPionIdBlob Struct Reference

`#include <PionBlob.hpp>`

List of all members.

## Detailed Description

optimized hash function object for PionBlob objects which contain PionId string representations (bb49b9ca-e733-47c0-9a26-0f8f53ea1660)

Definition at line 360 of file PionBlob.hpp.

## Public Member Functions

unsigned long | getValue (unsigned char c) const
| helper for hex->int conversion
template<typename CharType, typename AllocType>
std::size_t | operator() (const PionBlob< CharType, AllocType > &blob) const
| returns hash value for the blob provided

The documentation for this struct was generated from the following file:

- common/include/pion/PionBlob.hpp